Mailinglist Archive: opensuse (2459 mails)

< Previous Next >
Re: [opensuse] Java and update-alternatives
  • From: Andreas Jaeger <aj@xxxxxxx>
  • Date: Tue, 04 Mar 2008 10:12:56 +0100
  • Message-id: <87d4qaq2cn.fsf@xxxxxxx>
elinor <danielsdotter@xxxxxxxxx> writes:

I am using sles10 but am required to use a java version that is not
provided as an rpm from any suse source. I installed jdk1.5.0_14
which I downloaded from Sun (using their installer). The problem is
choosing it as the default java. As far as I can tell,
update-alternatives requires that I use one installed from a SuSE
blessed rpm. Does anyone know of any documentation that might address
this issue? We can't use our Novell support because we aren't using a
Novell supported java. Thanks in advance to anyone who can point me in
the direction of documentation or knows the answer to this. Thanks.

The openSUSE Build Service has a lot of prebuild packages (use
http://software.opensuse.org/search) also for SLES10.

I don't know whether any Java version is available but it's always good
to check there first.

Alternatively: Have a look at an openSUSE 10.2 or 10.3 Java 1.5 source
package, it should show you what needs to be done,

Andreas
--
Andreas Jaeger, Director Platform / openSUSE, aj@xxxxxxx
SUSE LINUX Products GmbH, GF: Markus Rex, HRB 16746 (AG Nürnberg)
Maxfeldstr. 5, 90409 Nürnberg, Germany
GPG fingerprint = 93A3 365E CE47 B889 DF7F FED1 389A 563C C272 A126
< Previous Next >
Follow Ups
References